Page MenuHomePhabricator

[EPIC] SkinMustache::getTemplateData should return data common to all skins
Closed, ResolvedPublic

Description

The SkinMustache::getTemplateData should return a flexible array of template data that can be used to render all the existing Wikimedia deployed skins.

The Vector skin is currently being built out with flexible data in mind and it's expected that once the data required to render Vector is stable we will upstream it to core to the SkinMustache class so other skins can benefit

acceptance criteria

  • search
  • Indicators
  • afterContentHook ('html-dataAfterContent' => $this->afterContentHook())
  • Sitenotice 'html-sitenotice' => $this->getSiteNotice(),
  • Language attributes 'html-userlangattributes' => $this->prepareUserLanguageAttributes(),
  • T256927
  • Menu data
  • footer data

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 20 2020, 7:12 PM
Jdlrobson updated the task description. (Show Details)Jun 29 2020, 11:21 PM
Jdlrobson renamed this task from SkinMustache::getTemplateData should return data common to all skins to [EPIC] SkinMustache::getTemplateData should return data common to all skins.Jun 29 2020, 11:25 PM
Jdlrobson triaged this task as High priority.
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Jul 1 2020, 10:33 PM
Ammarpad claimed this task.Jul 4 2020, 6:38 AM

Change 610294 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Add more data items to SkinMustache::getTemplateData

https://gerrit.wikimedia.org/r/610294

Change 610294 merged by jenkins-bot:
[mediawiki/core@master] Add more data items to SkinMustache::getTemplateData

https://gerrit.wikimedia.org/r/610294

Jdlrobson updated the task description. (Show Details)Jul 9 2020, 5:05 PM
Ammarpad updated the task description. (Show Details)Jul 10 2020, 2:56 PM
Jdlrobson changed the task status from Open to Stalled.Jul 15 2020, 11:32 PM

I think menu data is going to be a little trickier and will make a task. Putting this on hold until I have more of an actionable here.

Change 624899 had a related patch set uploaded (by Ammarpad; owner: Jdlrobson):
[mediawiki/core@master] Expose portlet data in SkinMustache

https://gerrit.wikimedia.org/r/624899

Ammarpad changed the task status from Stalled to Open.Sep 18 2020, 12:19 PM

Change 624899 merged by jenkins-bot:
[mediawiki/core@master] Expose portlet data in SkinMustache

https://gerrit.wikimedia.org/r/624899

Jdlrobson closed this task as Resolved.Oct 2 2020, 7:51 PM
Jdlrobson updated the task description. (Show Details)

The spec is looking pretty complete - yay!